VariantPackBuilder_v8

## Functions

auto | cudnn_frontend::VariantPackBuilder_v8::setDataPointers (int64_t num_ptr, void **ptrs) -> VariantPackBuilder_v8 &
| Set dataPointers for the VariantPack_v8. More...
auto | cudnn_frontend::VariantPackBuilder_v8::setUids (int64_t num_uids, int64_t *uid) -> VariantPackBuilder_v8 &
| Set Uids for the VariantPack_v8. More...
auto | cudnn_frontend::VariantPackBuilder_v8::setDataPointers (std::set< std::pair< uint64_t, void *>> const &data_pointers) -> VariantPackBuilder_v8 &
| Initialize a set of pairs containing uid and data pointer. More...
auto | cudnn_frontend::VariantPackBuilder_v8::setWorkspacePointer (void *ws) -> VariantPackBuilder_v8 &
| Set Workspace. More...

## Detailed Description

Set individual property of VariantPack_v8 class

## Function Documentation

## setDataPointers() [1/2]

auto cudnn_frontend::VariantPackBuilder_v8::setDataPointers | ( | int64_t | num_ptr,
|  | void ** | ptrs
| ) |  | -> VariantPackBuilder_v8 &

inline

Set dataPointers for the VariantPack_v8.

Definition at line 92 of file cudnn_frontend_VariantPack.h.

## setDataPointers() [2/2]

auto cudnn_frontend::VariantPackBuilder_v8::setDataPointers | ( | std::set< std::pair< uint64_t, void *>> const & | data_pointers | ) | -> VariantPackBuilder_v8 &

inline

Initialize a set of pairs containing uid and data pointer.

Definition at line 105 of file cudnn_frontend_VariantPack.h.

References cudnn_frontend::VariantPack_v8::data_pointers.

## setUids()

auto cudnn_frontend::VariantPackBuilder_v8::setUids | ( | int64_t | num_uids,
|  | int64_t * | uid
| ) |  | -> VariantPackBuilder_v8 &

inline

Set Uids for the VariantPack_v8.

Definition at line 99 of file cudnn_frontend_VariantPack.h.

References cudnn_frontend::VariantPack_v8::uid.

## setWorkspacePointer()

auto cudnn_frontend::VariantPackBuilder_v8::setWorkspacePointer | ( | void * | ws | ) | -> VariantPackBuilder_v8 &

inline

Set Workspace.

Definition at line 117 of file cudnn_frontend_VariantPack.h.